%define version 0.9.1.3
Name:				kautoconfigure
Summary:			This script tries to autoconfigure the Linux kernel.
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Development/Building
Source:				http://download.sourceforge.net/kautoconfigure/autoconfigure-%{version}.tar.gz
Patch0:				kautoconfigure-%{version}-wls.patch
Prereq:				/bin/bash /bin/egrep /bin/sed /bin/uname /bin/cp /bin/mv /bin/rm /bin/touch /usr/bin/od /bin/cat /usr/bin/tail /bin/grep
Buildarch:			noarch
Vendor:				Giacomo Catenazzi  <cate@debian.org>
URL:				http://sourceforge.net/projects/kautoconfigure/
BuildRoot:			/tmp/kautoconfigure-broot

%description
This script try to autoconfigure the Linux kernel, detecting the                                            
hardware (devices, ...) and software (protocols, filesystems, ...).                                         
It uses soft detections: no direct IO access to unknow devices, thus                                        
it is always safe to run this script and it never hangs, but it cannot                                      
detect all hardware (mainly some old hardware).                                                             

%changelog
* Sun Feb 25 2001 William Stearns <wstearns@pobox.com>
- First rpm package.

%prep
%setup -n autoconfigure-%{version}
%patch0 -p1

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/kautoconfigure-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	install -d $RPM_BUILD_ROOT/var/lib/kautoconfigure
	cp -p autoconfigure.sh $RPM_BUILD_ROOT/usr/bin/kautoconfigure
	cp -p autoconfigure.rules $RPM_BUILD_ROOT/var/lib/kautoconfigure/kautoconfigure.rules
else
	echo Invalid Build root
	exit 1
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/kautoconfigure-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi

%files
%defattr(-,root,root)
%attr(755,root,root)			/usr/bin/kautoconfigure
%attr(755,root,root)		%dir	/var/lib/kautoconfigure
%attr(755,root,root)			/var/lib/kautoconfigure/kautoconfigure.rules

